Skip to main content
POST
Create a workbook calculated field
Add a calculated field to a workbook. Requires edit access to the workbook. Returns 400 when the workbook already has a field with the same name (case-insensitive).

Authorizations

Authorization
string
header
required

Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.

Path Parameters

deploymentId
number
required
workbookId
number
required

Body

application/json

CreateCalculatedFieldInput

expression
string
required
memberRole
enum<string>
required
Available options:
measure,
dimension
name
string
required
semanticView
string
required
valueType
enum<string>
required
Available options:
string,
time,
boolean,
number,
number_agg,
count,
count_distinct,
count_distinct_approx,
sum,
avg,
min,
max,
geo
description
string | null
format
enum<string> | null
Available options:
percent,
currency,
imageUrl,
id,
link
title
string | null

Response

200 - application/json
createdAt
required
createdBy
number
required
expression
string
required
id
string
required
memberRole
enum<string>
required
Available options:
measure,
dimension
name
string
required
semanticView
string
required
updatedAt
required
valueType
enum<string>
required
Available options:
string,
time,
boolean,
number,
number_agg,
count,
count_distinct,
count_distinct_approx,
sum,
avg,
min,
max,
geo
description
string | null
format
enum<string> | null
Available options:
percent,
currency,
imageUrl,
id,
link
title
string | null